Get the health of a single application

Returns the health of a single application in Itential Platform.

Authentication

AuthorizationBasic

Basic authentication of the form Basic <base64(username:password)>.

Path parameters

namestringRequiredformat: "^[^\/]+$"Defaults to
The name for the selected application.

Response

Contains the selected applications health data.
idstringOptional
package_idstringOptionalformat: "^@[-_.a-z]+/.+"Defaults to
The model used by the service
versionstringOptional
typeenumOptional
descriptionstringOptional
stateenumOptional
connectionany or objectOptional
uptimedoubleOptional
Number of seconds the current process has been running.
memoryUsageobjectOptional
cpuUsageobjectOptional

Contains microsecond data for user and system modes. These values are used to calculate CPU usage (with implied conversions) by the following formula : (current CPU usage - previous CPU usage) / (current uptime - previous uptime)

pidintegerOptional
loggerobjectOptional
routePrefixstringOptional
prevUptimedoubleOptional

Errors

500
Internal Server Error